会社で、自社サーバ上にOpenPNEのインストールをしろとの指示があり苦戦しています。


なんとかインストールできたものの、招待メールが送信できないし
(「送信しました」と出るが届かない)
最初に登録したメールアドレスとパスワードでログインできないし
(正しいものを入れると、「ページを表示できません」になる)

手順書通りに入れたはずなんですが、うまく動きません。
どういった原因が考えられるでしょうか。
また、この2つは切り離して考えるべきでしょうか。

どうにもサーバとかデータベースとかは素人なので、
何をどうしたらわからなくて・・・。
いろいろネットを調べてはみたんですが、いい答えがみつかりませんでした。

どうぞよろしくお願いいたします。

回答の条件
  • 1人5回まで
  • 登録:2006/09/22 19:04:29
  • 終了:2006/09/29 19:05:03

回答(3件)

id:kuramoto No.1

kuramoto回答回数273ベストアンサー獲得回数52006/09/22 23:11:07

ポイント27pt

OpenPNEをロリポップとさくらインターネットで

動かしたことがありますが、インストールが完了すれば

あとはほぼ正常に動いていました。

ですので、設置したサーバーの設定に問題があるのではないでしょうか。(たぶんメール関係の)

「最初に登録したメールアドレスとパスワードでログインできないし

(正しいものを入れると、「ページを表示できません」になる)」

との事ですが、ブラウザをいろいろ替えてもやってみても、同じでしたら、

config.inc.php

define('OPENPNE_DIR', realpath('/home/なんとか/'));

require_once OPENPNE_DIR . '/config.php';

のパスをいろいろやってみてはいかがでしょうか。

わたしは、さいしょこのパスをどうするかで、ひっかかりました。

このへん↑の設定が間違っている可能性が大だと思います。

パスは合っていますか?

id:hibiki-k

ありがとうございます。

パスは何度も見直しました。

OpenPNEフォルダがどこにあるか?ですよね?

/usr/local/OpenPNE となっていました。

実際/usr/localの下にOpenPNEを置いてあるので

これでいいのかと思うのですが・・・。

(ちなみにpublic_htmlは他のところに置きました。)

2006/09/23 09:14:33
id:shun262 No.2

shun262回答回数95ベストアンサー獲得回数32006/09/23 00:59:17

ポイント27pt

質問が漠然としすぎているのでもう少し詳しく書いてくれませんでしょうか。

http://tejimaya.org/openpne/docs/2_2/OpenPNE_Setup.html

まず、OpenPNEを利用する際のシステム構成は足りてますか。

  • Apache 1.3.*/2.0.* 以上
  • PHP 4.3.*/5.0.* (ASPI版を推奨)
    • PHP の mbstring 拡張モジュールを使用可能
    • PHP から GD ライブラリを使用可能 (JPEG/GIF/PNG サポート)
    • PHP の mcrypt 拡張モジュールの使用を推奨
  • MySQL 4.0/4.1
  • メールサーバ(携帯からメール投稿する場合)
    • Postfix 2.1.* を推奨

自社サーバとありApacheとMySQLが入っている程度だと思いますが、PHPの追加ライブラリなどはインストールされているでしょうか。

http://php.s3.to/man/ref.mbstring.html

http://php.s3.to/man/ref.image.html

http://php.s3.to/man/ref.mcrypt.html

システム構成が分からない時には

<?php phpinfo(); ?>

とだけ書いたPHPファイルをブラウザから閲覧するとシステム構成が分かると思います。

Postfixなども同様です。

一つ一つ確かめていって、おかしなところがあったらメモしてそれを元に検索したり質問してください。

ところで、自社サーバは会社の重要なデータなどを扱っていたりするのでしょうか。

よく分からないシステムをインストールするときに、失敗でもしてサーバ内のデータを壊してしまったりする可能性もあるので、バックアップを取ったり、別のあまり重要でないサーバ(自身のPCでも可)で一度試してみた方がいいと思います。

id:hibiki-k

ありがとうございます。質問の仕方も素人ですみません・・・。

phpinfoで見たところ

Apache2.0

php4.3

MySQL4.1

でした。

「システム構成は足りてるので、このサーバに入れて」

との指示だったので、大丈夫だと思います。

phpの追加ライブラリは教えていただいたページを見たのですが、よくわかりませんでした。

ただ、yumでインストールとアップデートはしましたが、これは別物でしょうか?

手順書や、インストールの仕方を書いたサイトなどを見ながら

ひとつひとつ見直してるのですが、間違いが見つけられず・・・。

書かれていないことは思いつきもしないので、

もしかしたらまったく別なところに間違いがあるのかもしれませんね・・・。

自社サーバに重要なデータが入っていますが、

バックアップをとったので最悪の場合壊してしまってもいいと言われました。

もう少し見直したいと思います。

2006/09/23 09:40:19
id:k12u No.3

k12u回答回数80ベストアンサー獲得回数72006/09/23 02:35:18

ポイント26pt

Webサーバやメールサーバのログは確認しましたか?

自社サーバということですと第三者が推測するのは非常に難しそうです.

id:hibiki-k

ありがとうございます。

ログは確認していません。

というかやり方がわからないので、調べてやってみたいと思います。

2006/09/23 09:41:27

コメントはまだありません

この質問への反応(ブックマークコメント)

「あの人に答えてほしい」「この質問はあの人が答えられそう」というときに、回答リクエストを送ってみてましょう。

これ以上回答リクエストを送信することはできません。制限について

絞り込み :
はてなココの「ともだち」を表示します。
回答リクエストを送信したユーザーはいません